# Ansible Role: Systemd Unit

## Required Variables

```yaml
systemd_unit_name: some.service
```

## Optional Variables

```yaml
systemd_unit_scope: global # all users (default: system)
systemd_unit_config: |
  [Unit]
  Description=…
  # …
systemd_unit_dropin_config: |
  [Service]
  LogLevelMax=notice
  # …
systemd_unit_state: started
systemd_unit_enabled: yes
systemd_unit_restart_if_active: no
```

## Limitations

For `systemd_unit_scope != "system"` the following features are not yet supported:
automatic daemon reloads, changing unit's state and enabling/disabling units
